Bug 21795 - Switch two-column templates to Bootstrap grid: Notices and slips
Summary: Switch two-column templates to Bootstrap grid: Notices and slips
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 21802 20654
  Show dependency treegraph
 
Reported: 2018-11-08 17:52 UTC by Owen Leonard
Modified: 2019-01-03 14:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips (6.32 KB, patch)
2018-11-08 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Attachment to Bug 21795 - Switch two-column templates to Bootstrap grid: Notices and slips (6.34 KB, patch)
2018-11-08 19:48 UTC, Christopher Brannon
Details | Diff | Splinter Review
[SIGNED OFF] Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips (6.42 KB, patch)
2018-11-08 20:05 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips (6.40 KB, patch)
2018-11-09 15:05 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-08 17:52:08 UTC
letter.tt was partially updated during the conversion of single-column templates, but needs to be completed. The notice preview template needs to be completely revised.
Comment 1 Owen Leonard 2018-11-08 17:59:11 UTC
Created attachment 82108 [details] [review]
Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips

This patch updates notices and slips templates to use Bootstrap grids
instead of YUI.

This patch also removes obsolete "text/css" attributes from <style> tags
in the modified templates.

To test, apply the patch and go to Tools -> Notices and slips. Test that
these pages look correct and adujst well to various browser widths.

 - The main page listing notices and slips
 - The add/edit form
 - The notice preview modal available when editing CHECKIN, CHECKOUT and
   HOLD_SLIP.
Comment 2 Christopher Brannon 2018-11-08 19:48:22 UTC
Created attachment 82114 [details] [review]
[SIGNED OFF] Attachment to Bug 21795 - Switch two-column templates to Bootstrap grid: Notices and slips

Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips

This patch updates notices and slips templates to use Bootstrap grids
instead of YUI.

This patch also removes obsolete "text/css" attributes from <style> tags
in the modified templates.

To test, apply the patch and go to Tools -> Notices and slips. Test that
these pages look correct and adujst well to various browser widths.

 - The main page listing notices and slips
 - The add/edit form
 - The notice preview modal available when editing CHECKIN, CHECKOUT and
   HOLD_SLIP.
Comment 3 Christopher Brannon 2018-11-08 20:05:23 UTC
Created attachment 82115 [details] [review]
[SIGNED OFF] Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips

This patch updates notices and slips templates to use Bootstrap grids
instead of YUI.

This patch also removes obsolete "text/css" attributes from <style> tags
in the modified templates.

To test, apply the patch and go to Tools -> Notices and slips. Test that
these pages look correct and adujst well to various browser widths.

 - The main page listing notices and slips
 - The add/edit form
 - The notice preview modal available when editing CHECKIN, CHECKOUT and
   HOLD_SLIP.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 4 Josef Moravec 2018-11-09 15:05:29 UTC
Created attachment 82174 [details] [review]
Bug 21795: Switch two-column templates to Bootstrap grid: Notices and slips

This patch updates notices and slips templates to use Bootstrap grids
instead of YUI.

This patch also removes obsolete "text/css" attributes from <style> tags
in the modified templates.

To test, apply the patch and go to Tools -> Notices and slips. Test that
these pages look correct and adujst well to various browser widths.

 - The main page listing notices and slips
 - The add/edit form
 - The notice preview modal available when editing CHECKIN, CHECKOUT and
   HOLD_SLIP.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Josef Moravec 2018-11-09 15:11:31 UTC
There is a glitch on edit form - it is not responsive inside the accordeon - the right border is not aligned with the accordeon headers - but this bug exists in master too, so passing qa and will open a new bug report for this.
Comment 6 Nick Clemens 2018-12-26 20:52:20 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-03 14:22:24 UTC
Enhancement, will not be backported to 18.11.x series